---
name: Bugs and Issues
about: Create a report to help us improve
title: ''
labels: NEEDS TRIAGE
assignees: ''

---

# Before filing a Bug Report

_Using these will ensure you get quicker support, and make this space available for code-related issues. Thank you!_

- [Knowledge Base](https://zerotier.atlassian.net/wiki/spaces/SD/overview) => Guides and documentation on how to use ZeroTier.
- [Discuss Forum](https://discuss.zerotier.com/) => Our discussion forum for users and support to mutually resolve issues & suggest ideas.
- [Reddit](https://www.reddit.com/r/zerotier/) => Our subreddit, which we monitor regularly and is fairly active.

# If you still want to file a Bug Report

## Required

- What you expect to be happening.
- What is actually happening?
- Any steps to reproduce the error.
- Any screenshots that would help us out.

## Additional information 

**Desktop (please complete the following information):**
 - OS: [e.g. Mac, Linux, Windows, BSD]
 - OS/Distribution Version
 - ZeroTier Version [e.g. 1.4.6]
  
**Smartphone (please complete the following information):**
 - Device: [e.g. iPhone6]
 - OS: [e.g. iOS8.1]
 - ZeroTier Version [e.g. 1.4.6]

 **Embedded & NAS (please complete the following information):**
 - Device: [e.g. Synology, Pi4]
 - OS/Distribution (if applicable)
 - ZeroTier Version [e.g. 1.4.6]

**Additional context**
- ZeroTier Network Configuration: IPv4 & IPv6 networks defined on your ZeroTier Central
- Router Config: are you permitting port 9993, uPnP, and NAT-PMP?
- Firewall Config: are you permitting port 9993 on your OS; setting it to "Private" on Windows?
- Are you using this at home, in an office, college, etc?
- Have you tried screaming into your router?
